> For the complete documentation index, see [llms.txt](https://api.docs.blockbrain.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.blockbrain.ai/de/erste-schritte/getting-started/interact-with-bot.md).

# Mit Bot interagieren

## Stellen Sie eine einfache Frage (nicht gestreamtes Ergebnis)

Denken Sie daran, Sie benötigen Ihre `Session-ID` (kann auch eine zufällige UUID sein) und `Convo-ID` aus [dem vorherigen Schritt](/de/erste-schritte/getting-started/add-convo-to-bot.md#mandatory-connect-to-server-sent-events).

Sehen Sie sich den untenstehenden Endpunkt an, um eine Anfrage an Ihren Bot zu senden.

Es gibt viele Möglichkeiten, wie Sie mit Ihrem Bot und dem Datenraum interagieren können. Aber als Ausgangspunkt müssen Sie nur Folgendes senden:

* eine Zeichenkette aus `Inhalt`
* mit dem `actionType`: `user`
* und `messageType`: `user-question`
* `sessionId`:  `Session-ID` (entweder generiert aus [dem vorherigen Schritt](/de/erste-schritte/getting-started/add-convo-to-bot.md#mandatory-connect-to-server-sent-events) oder einer zufälligen UUID)
* `convoId`: die ID des erstellten Datenraums / Gesprächs von [dem vorherigen Schritt](/de/erste-schritte/getting-started/add-convo-to-bot.md#create-a-new-dataroom-conversation)

Ein funktionierendes (nicht gestreamtes) Beispiel:

```json
{
    "content": "hello",
    "actionType": "user",
    "messageType": "user-question",
    "sessionId": "c1b3c8e3-beb1-4c34-aa24-454adbf72709",
    "convoId": "6628f**********741f7b552"
    "enableStreaming": false 
}
```

### **Senden Sie das JSON an diesen API-Endpunkt**

```
https://blocky.theblockbrain.ai/cortex/completions/user-input
```

{% openapi src="<https://blocky.theblockbrain.ai/openapi.json>" path="/cortex/completions/user-input" method="post" %}
<https://blocky.theblockbrain.ai/openapi.json>
{% endopenapi %}

### **Arbeiten mit dem Ergebnis**&#x20;

Dieser obige Prompt gibt nach vollständiger Generierung die folgende Antwort zurück.

```json
{
    "code":200,
    "key":null,
    "body":
        {
            "gid":"68af24f4891e7791bd7c7f25",
            "continue_generating":false,
            "followUp":[],
            "convoName":"Begrüßung beantworten",
            "content":"Hallo!"
        }
}
```

***

## Stellen Sie eine Frage (gestreamtes Ergebnis)

Diese gleiche Anfrage sollte in Server-Sent Events zu diesen Antworten führen.

```json
{
    "content": "hello",
    "actionType": "user",
    "messageType": "user-question",
    "sessionId": "c1b3c8e3-beb1-4c34-aa24-454adbf72709",
    "convoId": "6628fddb8c9b707741f7b552"
    "enableStreaming": true // dies wurde von false auf true geändert
}
```

Dies führt zu einer gestreamten Antwort. Lesen Sie mehr über unsere Server-Sent Events [hier](/de/konzepte/streaming.md).

![SSE-Antworten](/files/c474d7e8d98426583851595a8b8a6472c9260874)

Diese Antwort muss geparst werden, um als vollständige Antwort verwendbar zu sein.

***

## Chatverlauf verwalten

Um den Chatverlauf seitenweise abzurufen, können wir den Endpunkt für die Nachrichtenliste aufrufen, der alle Nachrichten in diesem Gespräch/Datenraum zurückgibt.

{% openapi src="<https://blocky.theblockbrain.ai/openapi.json>" path="/cortex/message/list" method="post" %}
<https://blocky.theblockbrain.ai/openapi.json>
{% endopenapi %}

### Chatverlauf löschen

Sie können den gesamten Chatverlauf in einem Datenraum löschen, um neu zu beginnen:

{% openapi src="<https://blocky.theblockbrain.ai/openapi.json>" path="/cortex/conversation/{convo\_id}/messages" method="delete" %}
<https://blocky.theblockbrain.ai/openapi.json>
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.docs.blockbrain.ai/de/erste-schritte/getting-started/interact-with-bot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
